CairoContext::moveTo
CairoContext::newSubPath
CairoContext
PHP Manual

# CairoContext::newPath

# cairo_new_path

The newPath purpose

### Description

Object oriented style (method):

public void CairoContext::newPath ( void )

Procedural style:

void cairo_new_path ( CairoContext `$context` )

Clears the current path. After this call there will be no path and no current point.

### Parameters

`context`

  A valid CairoContext object.

### Return Values

No value is returned.

### Examples

Example #1 Object oriented style

`<?php
// [...]
CairoContext::newPath();
?>`

Example #2 Procedural style

`<?php
// [...]
cairo_new_path($context);
?>`

### See Also

- CairoContext::appendPath
- CairoContext::closePath